Package: groovy.inspect.swingui

## [Groovy] Class ObjectBrowser

- groovy.inspect.swingui.ObjectBrowser

- A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with `ObjectBrowser.inspect(myObject)` .

  Authors:
    Dierk Koenig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `fieldTable`
    `def` | `frame`
    `def` | `inspector`
    `def` | `itemTable`
    `def` | `mapTable`
    `def` | `methodTable`
    `def` | `swing`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addSorter(def table)`
    `` | `static void` | `inspect(def objectUnderInspection)`
    `` | `static void` | `main(def args)`
    `` | `void` | `run()`
    `` | `void` | `showAbout(EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### def fieldTable

    - #### def frame

    - #### def inspector

    - #### def itemTable

    - #### def mapTable

    - #### def methodTable

    - #### def swing

  - ### Method Detail

    - #### void addSorter(def table)

    - #### static void inspect(def objectUnderInspection)

    - #### static void main(def args)

    - #### void run()

    - #### void showAbout(EventObject evt)